def test_smtp_email_settings(config_updater, settings):
    config_updater(
        {
            "email_backend": "django.core.mail.backends.smtp.EmailBackend",
            "smtp": {
                "host": "smtp.example.com",
                "port": 25,
                "username": "user@example.com",
                "password": "password",
                "use_tls": False,
                "use_ssl": True,
            },
        }
    )
    assert settings.EMAIL_HOST == "smtp.example.com"
    assert settings.EMAIL_PORT == 25
    assert settings.EMAIL_HOST_USER == "user@example.com"
    assert settings.EMAIL_HOST_PASSWORD == "password"
    assert not settings.EMAIL_USE_TLS
    assert settings.EMAIL_USE_SSL
